
//   
var io = require('socket.io')(process.env.PORT || 1337);
var shortid = require('shortid');

//  ,   
console.log('server started');

//   ,    
io.on('connection', function (socket) {

	//  ID   , ..  
    var thisClientId = shortid.generate();

	//  ID  
    console.log('client connected, broadcasting spawn, id: ', thisClientId);
	
	//    
	socket.broadcast.emit(thisClientId + ' is connected');
	
	//      
	socket.on('message', function (data) {
		//     
		console.log('from server: ' + data);
		//     
		socket.broadcast.emit('message', data);
	});
	
	//  ,   
	socket.on('disconnect', function () {
        console.log('client disconnected');
    });
});